Subject: Bug#4445: documentation deficiency - install fresh non-debianized kernel

From: Barak Pearlmutter <[email-masked]>
Date: Sun, 8 Sep 1996 19:19:43 -0700

Package: kernel-source-2.0.6
Version: 2.0.6-0

I am an experienced linux person.  Even have a little code in the
kernel.  Decided to give debian a shot.  But I'd like to avoid
learning about debian internals, to the extent possible.  On the other
hand, sometimes it is necessary to install the absolute latest kernel
on my system.

There should be a SHORT and SUCCINCT explanation of how to do that,
that starts with "cd to /usr/src, rm linux, untar
linux-2.0.xxxx.tar.gz, rename linux to blah" and ends with "reboot
into the new kernel."  It could assume familiarity with linux in
general and how to compile a kernel in particular, because its job is
to explain what is special about a debian system in this regard.

(Because the documentation in the debian kernel sources package
concerning how to debianize a kernel was so long and complicated and
full of jargon specific to debian package maintenance, I was unable to
follow it.  I tried just compiling and installing the kernel and its
modules as usual, and putting putting the kernel image and System.map
in locations parallel to the ones that were already there, and it all
seemed to work out okay, except for having to munge around with some
module autoloading stuff to get the network rolling.  But guessing
should not be necessary here.  And of course, I am not sure if I did
things the right way, and updated all the right files.  Maybe there's
some script I should have invoked, which would have done the work
automatically?  Please, do tell!)